<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.3.5</version>
        <relativePath/>
    </parent>

    <groupId>cn.yunzhixue</groupId>
    <artifactId>dcjxb.microservice</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>dcjxb.microservice</name>
    <description>Ability center multi-module project</description>

    <properties>
        <java.version>17</java.version>
    </properties>

    <modules>
        <module>ability-center-runtime</module>
        <module>ability-center-kernel</module>
        <module>abilities/exam-sprint/contracts</module>
        <module>abilities/exam-sprint/application</module>
        <module>abilities/exam-sprint/domain</module>
        <module>abilities/exam-sprint/infrastructure</module>
    </modules>
</project>
